<?php

namespace App\Models\Enums;

enum LimitTypesEnum: int
{
    case LIMIT_NONE = 0;
    case LIMIT_LEVEL = 1;
    case LIMIT_STR = 2;
    case LIMIT_DEX = 3;
    case LIMIT_INT = 4;
    case LIMIT_CON = 5;
    case LIMIT_PCBANG = 6;
    case LIMIT_REAL_TIME = 7;
    case LIMIT_REAL_TIME_START_FIRST_USE = 8;
    case LIMIT_TIMER_BASED_ON_WEAR = 9;
    case LIMIT_MAX_NUM = 10;

    public function getLabel(): string
    {
        return $this->name;
    }
}
